# $Revision: 1.27 $, $Date: 2002/08/09 23:52:07 $
Summary:	E-conf the Enlightenment configuration tool.
Summary(pl):	Narzdzie do konfiguracji Enlightenmenta
Name:		enlightenment-conf
Version:	0.15
Release:	14
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	ftp://www.rasterman.com/pub/enlightenment/%{name}-%{version}.tar.gz
Patch0:		%{name}-keybind.patch
Patch1:		%{name}-spelling.patch
Patch2:		%{name}-locale.patch
Patch3:		%{name}-alpha-notrans.patch
Patch4:		%{name}-DESTDIR.patch
Patch5:		%{name}-use_AM_GNU_GETTEXT.patch
Patch6:		%{name}-configure.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	control-center-devel
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel
BuildRequires:	imlib-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
The enlightenment-conf package contains a configuration tool for
configuring the Enlightenment window manager. Enlightenment can be
configured in many different ways, so you'll want to install this
configuration tool if you plan to use Enlightenment.

%description -l pl
Pakiet enlightenment-conf zawiera narzdzie do konfiguracji menedera
okien enlightenment. Enlightenment moe by skonfigurowany na wiele
rnych sposobw, wic jesli chcesz go uywa, to powiniene
zainstalowa ten pakiet

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
rm -f missing
%{__libtoolize}
aclocal -I macros
%{__autoconf}
autoheader
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%dir %{_datadir}/control-center/Workspace
%attr(755,root,root) %{_bindir}/e-conf
%{_datadir}/control-center/Workspace/Enlightenment.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: enlightenment-conf.spec,v $
Revision 1.27  2002/08/09 23:52:07  marcus
- fixed ac/am (thanks to qboosh)

Revision 1.26  2002/08/07 12:19:14  qboosh
- removed %%{_datadir}/control-center dir (belongs to control-center)
- new %%doc, release 14

Revision 1.25  2002/04/25 16:15:20  arturs
fixed a small typo

Revision 1.24  2002/02/23 01:58:10  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:28:49  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/18 02:12:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/07 13:51:11  blues
- if configure2_13 is used don't use autoconf

Revision 1.20  2001/08/25 11:54:29  filon
- added regenerating configuration files
- ac 2.5 ready

Revision 1.19  2001/07/23 23:00:56  blues
- %configure2_13 used adn removed all the (suxx) ac/am/libtool stuff
- added some buildrequires

Revision 1.18  2001/07/20 20:37:07  migo
- added pl summary and/or description

Revision 1.17  2001/05/30 08:49:02  kloczek
- relase 13,
- added use_AM_GNU_GETTEXT patch,
- regenerate ac/am/lt files.

Revision 1.16  2000/11/05 15:37:48  kloczek
- release 12: removed xpm-devel from BuildRequires.

Revision 1.15  2000/10/30 19:26:29  kloczek
- release 11: rebuild against gnome-libs linked with db3.

Revision 1.14  2000/09/26 19:11:08  kloczek
- release 10,
- added missing BuildRequires rules,
- run "gettextize --copy --force" on top %build,
- spec adapterized.

Revision 1.13  2000/06/09 07:54:40  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/06/06 23:42:50  bonkey
- find_lang used. i hope correctly.

Revision 1.10  2000/06/06 22:57:22  bonkey
- re-added, based on rh6.1, but written almost from scratch
